<ion-header>
  <ion-toolbar color="ista">
    <ion-buttons slot="secondary">
      <ion-button fill="clear" disabled="true">
        <ion-icon slot="icon-only" name="null"></ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="lista-ticket-usuario"></ion-back-button>
    </ion-buttons>
    <ion-title class="ion-text-center">{{titulo}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-grid no-padding>
    <ion-row class="ion-align-items-center">

      <ion-col size="12" class="ion-text-center">
        <ion-item>
          <ion-label color="ista">Categoria</ion-label>
          <ion-select interface="popover" [(ngModel)]="codCatalogo" (ionChange)=onChangeCatalogo($event)
            placeholder={{tituloCatalogo}}>
            <ion-select-option *ngFor="let data of dataCatalogo" [value]="data.codCatalogo">{{ data.categoria }}
            </ion-select-option>
          </ion-select>
        </ion-item>
      </ion-col>

      <ion-col size="12" class="ion-text-center">
        <ion-item>
          <ion-label color="ista">Servicios</ion-label>
          <ion-select interface="popover" [(ngModel)]="codServicio" (ionChange)=onChangeServicio($event)
            placeholder={{tituloServicio}}>
            <ion-select-option *ngFor="let data of dataServicio" [value]="data.codServicio">{{ data.titulo }}
            </ion-select-option>
          </ion-select>
        </ion-item>
      </ion-col>

      <!-- <ion-col size="12" class="ion-text-center">
        <div class="ion-padding">
          <ion-button class="enviar-button" shape="round" fill="outline" expand="full" color="ista" (click)="uploadFile()">
            Subir una imagen
          </ion-button>
          <ion-label><b> {{uploadText}}</b></ion-label>
          <br /> <br /> 
          <ion-button class="enviar-button" shape="round" fill="outline" expand="full" color="ista" (click)="abortUpload()">
            Cancelar carga
          </ion-button>
          <div *ngIf="fileObj">
            Imagenes seleccionadas:
              <img src={{fileObj.dataURI}}/>
          </div>
        </div>
      </ion-col> -->

      <ion-col size="12" class="ion-text-center">
        <ion-item>
          <ion-label color="ista">Nivel de Severidad</ion-label>
          <ion-select interface="popover" [(ngModel)]="codSeveridad" (ionChange)=onChangeSeveridad($event)
            placeholder={{nivelSeveridad}}>
            <ion-select-option *ngFor="let data of dataSeveridad" [value]="data.codSeveridad">{{ data.nivelSeveridad }}
            </ion-select-option>
          </ion-select>
        </ion-item>
      </ion-col>

      <ion-col size="12" class="ion-text-center">
        <ion-item>
          <ion-label color="ista">Via de Comunicacion</ion-label>
          <ion-select interface="popover" [(ngModel)]="codViaComunicacion" (ionChange)=onChangeViaComunicacion($event)
            placeholder={{nombreViaComunicacion}}>
            <ion-select-option *ngFor="let data of dataViaComunicacion" [value]="data.codViaComunicacion">{{ data.nombre
              }}</ion-select-option>
          </ion-select>
        </ion-item>
      </ion-col>

      <ion-col size="12" class="ion-text-center">
        <ion-item>
          <ion-label color="ista" position="floating">Descripcion del {{titulo}}</ion-label>
          <ion-textarea [(ngModel)]="descripcionTicket" placeholder="Ingrese una descripcion detallada aqui..">
          </ion-textarea>
        </ion-item>
      </ion-col>

      <ion-col class="ion-text-center">
        <ion-item class="fileUpload btn btn-primary">
          <ion-label color="ista">
            <ion-icon name="camera"></ion-icon>
            Elija un archivo
          </ion-label>
          <input type="file" class="upload" (change)="onChange($event)" #photoInput />
        </ion-item>
      </ion-col>

      <ion-col size="12" class="ion-text-center">
        <ion-item *ngIf="fileName != null">
          <ion-label color="ista" position="floating">Archivo selccionado</ion-label>
          <ion-input value="{{fileName}}" readonly></ion-input>
        </ion-item>
      </ion-col>

      <!-- Registrar button -->
      <ion-col *ngIf="editable  != 1" size="12" class="ion-text-center">
        <ion-button class="enviar-button" shape="round" fill="outline" expand="full" color="ista"
          (click)="uploadTicket()">
          Enviar
        </ion-button>
      </ion-col>

      <!-- Modificar button -->
      <ion-col *ngIf="editable == '1'" size="12" class="ion-text-center">
        <ion-button class="enviar-button" shape="round" fill="outline" expand="full" color="ista"
          (click)="modificarTicket()">
          Modificar
        </ion-button>
      </ion-col>

    </ion-row>
  </ion-grid>
</ion-content>


<!-- <input type="file" accept="image/*" (change)="onChange($event)">
<img id="output" />

<script>
  var onChange = function (event) {
    var reader = new FileReader();
    reader.onload = function () {
      var output = document.getElementById('output');
      output.src = reader.result;
    };
    reader.readAsDataURL(event.target.files[0]);
  };
</script> -->